diff --git a/android/guava-tests/test/com/google/common/math/BigIntegerMathTest.java b/android/guava-tests/test/com/google/common/math/BigIntegerMathTest.java
index 170261b..9d47e88 100644
--- a/android/guava-tests/test/com/google/common/math/BigIntegerMathTest.java
+++ b/android/guava-tests/test/com/google/common/math/BigIntegerMathTest.java
@@ -38,8 +38,6 @@ import static java.math.RoundingMode.UP;
 import static java.math.RoundingMode.values;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import java.math.BigDecimal;
 import java.math.BigInteger;
@@ -54,7 +52,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class BigIntegerMathTest extends TestCase {
   public void testCeilingPowerOfTwo() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
@@ -110,7 +107,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testConstantSqrt2PrecomputedBits() {
     assertEquals(
         BigIntegerMath.sqrt(
@@ -213,7 +210,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10ZeroAlwaysThrows() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -224,7 +221,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10NegativeAlwaysThrows() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -235,7 +232,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10Floor() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       for (RoundingMode mode : asList(FLOOR, DOWN)) {
@@ -246,7 +243,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10Ceiling() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       for (RoundingMode mode : asList(CEILING, UP)) {
@@ -258,7 +255,7 @@ public class BigIntegerMathTest extends TestCase {
   }
 
   // Relies on the correctness of log10(BigInteger, FLOOR).
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10Exact() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       int logFloor = BigIntegerMath.log10(x, FLOOR);
@@ -272,7 +269,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10HalfUp() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       int result = BigIntegerMath.log10(x, HALF_UP);
@@ -284,7 +281,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10HalfDown() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       int result = BigIntegerMath.log10(x, HALF_DOWN);
@@ -297,7 +294,7 @@ public class BigIntegerMathTest extends TestCase {
   }
 
   // Relies on the correctness of log10(BigInteger, {HALF_UP,HALF_DOWN}).
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10HalfEven() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       int halfEven = BigIntegerMath.log10(x, HALF_EVEN);
@@ -308,7 +305,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testLog10TrivialOnPowerOf10() {
     BigInteger x = BigInteger.TEN.pow(100);
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -316,14 +313,14 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtZeroAlwaysZero() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       assertEquals(ZERO, BigIntegerMath.sqrt(ZERO, mode));
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtNegativeAlwaysThrows() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -334,7 +331,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtFloor() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       for (RoundingMode mode : asList(FLOOR, DOWN)) {
@@ -346,7 +343,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtCeiling() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       for (RoundingMode mode : asList(CEILING, UP)) {
@@ -359,7 +356,7 @@ public class BigIntegerMathTest extends TestCase {
   }
 
   // Relies on the correctness of sqrt(BigInteger, FLOOR).
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtExact() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       BigInteger floor = BigIntegerMath.sqrt(x, FLOOR);
@@ -374,7 +371,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtHalfUp() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       BigInteger result = BigIntegerMath.sqrt(x, HALF_UP);
@@ -390,7 +387,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtHalfDown() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       BigInteger result = BigIntegerMath.sqrt(x, HALF_DOWN);
@@ -407,7 +404,7 @@ public class BigIntegerMathTest extends TestCase {
   }
 
   // Relies on the correctness of sqrt(BigInteger, {HALF_UP,HALF_DOWN}).
-  @GwtIncompatible // TODO
+  // TODO
   public void testSqrtHalfEven() {
     for (BigInteger x : POSITIVE_BIGINTEGER_CANDIDATES) {
       BigInteger halfEven = BigIntegerMath.sqrt(x, HALF_EVEN);
@@ -418,7 +415,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   @AndroidIncompatible // slow
   public void testDivNonZero() {
     for (BigInteger p : NONZERO_BIGINTEGER_CANDIDATES) {
@@ -438,7 +435,7 @@ public class BigIntegerMathTest extends TestCase {
   private static final BigInteger BAD_FOR_GINGERBREAD_P = new BigInteger("-9223372036854775808");
   private static final BigInteger BAD_FOR_GINGERBREAD_Q = new BigInteger("-4294967296");
 
-  @GwtIncompatible // TODO
+  // TODO
   @AndroidIncompatible // slow
   public void testDivNonZeroExact() {
     boolean isAndroid = System.getProperty("java.runtime.name").contains("Android");
@@ -469,7 +466,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testZeroDivIsAlwaysZero() {
     for (BigInteger q : NONZERO_BIGINTEGER_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -478,7 +475,7 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // TODO
+  // TODO
   public void testDivByZeroAlwaysFails() {
     for (BigInteger p : ALL_BIGINTEGER_CANDIDATES) {
       for (RoundingMode mode : ALL_ROUNDING_MODES) {
@@ -515,7 +512,7 @@ public class BigIntegerMathTest extends TestCase {
     runBinomialTest(0, 30);
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testBinomialLarge() {
     runBinomialTest(31, 100);
   }
@@ -548,7 +545,6 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible
   private static final class RoundToDoubleTester {
     private final BigInteger input;
     private final Map<RoundingMode, Double> expectedValues = new EnumMap<>(RoundingMode.class);
@@ -598,24 +594,20 @@ public class BigIntegerMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_Zero() {
     new RoundToDoubleTester(BigInteger.ZERO).setExpectation(0.0, values()).test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_smallPositive() {
     new RoundToDoubleTester(BigInteger.valueOf(16)).setExpectation(16.0, values()).test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_maxPreciselyRepresentable() {
     new RoundToDoubleTester(BigInteger.valueOf(1L << 53))
         .setExpectation(Math.pow(2, 53), values())
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_maxPreciselyRepresentablePlusOne() {
     double twoToThe53 = Math.pow(2, 53);
     // the representable doubles are 2^53 and 2^53 + 2.
@@ -627,7 +619,6 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_twoToThe54PlusOne() {
     double twoToThe54 = Math.pow(2, 54);
     // the representable doubles are 2^54 and 2^54 + 4
@@ -639,7 +630,6 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_twoToThe54PlusThree() {
     double twoToThe54 = Math.pow(2, 54);
     // the representable doubles are 2^54 and 2^54 + 4
@@ -651,20 +641,17 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_twoToThe54PlusFour() {
     new RoundToDoubleTester(BigInteger.valueOf((1L << 54) + 4))
         .setExpectation(Math.pow(2, 54) + 4, values())
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_maxDouble() {
     BigInteger maxDoubleAsBI = DoubleMath.roundToBigInteger(Double.MAX_VALUE, UNNECESSARY);
     new RoundToDoubleTester(maxDoubleAsBI).setExpectation(Double.MAX_VALUE, values()).test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_maxDoublePlusOne() {
     BigInteger maxDoubleAsBI =
         DoubleMath.roundToBigInteger(Double.MAX_VALUE, UNNECESSARY).add(BigInteger.ONE);
@@ -675,7 +662,6 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_wayTooBig() {
     BigInteger bi = BigInteger.ONE.shiftLeft(2 * Double.MAX_EXPONENT);
     new RoundToDoubleTester(bi)
@@ -685,19 +671,16 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_smallNegative() {
     new RoundToDoubleTester(BigInteger.valueOf(-16)).setExpectation(-16.0, values()).test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_minPreciselyRepresentable() {
     new RoundToDoubleTester(BigInteger.valueOf(-1L << 53))
         .setExpectation(-Math.pow(2, 53), values())
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_minPreciselyRepresentableMinusOne() {
     // the representable doubles are -2^53 and -2^53 - 2.
     // -2^53-1 is halfway between, so HALF_UP will go up and HALF_DOWN will go down.
@@ -708,7 +691,6 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_negativeTwoToThe54MinusOne() {
     new RoundToDoubleTester(BigInteger.valueOf((-1L << 54) - 1))
         .setExpectation(-Math.pow(2, 54), DOWN, CEILING, HALF_DOWN, HALF_UP, HALF_EVEN)
@@ -717,7 +699,6 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_negativeTwoToThe54MinusThree() {
     new RoundToDoubleTester(BigInteger.valueOf((-1L << 54) - 3))
         .setExpectation(-Math.pow(2, 54), DOWN, CEILING)
@@ -727,20 +708,17 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_negativeTwoToThe54MinusFour() {
     new RoundToDoubleTester(BigInteger.valueOf((-1L << 54) - 4))
         .setExpectation(-Math.pow(2, 54) - 4, values())
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_minDouble() {
     BigInteger minDoubleAsBI = DoubleMath.roundToBigInteger(-Double.MAX_VALUE, UNNECESSARY);
     new RoundToDoubleTester(minDoubleAsBI).setExpectation(-Double.MAX_VALUE, values()).test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_minDoubleMinusOne() {
     BigInteger minDoubleAsBI =
         DoubleMath.roundToBigInteger(-Double.MAX_VALUE, UNNECESSARY).subtract(BigInteger.ONE);
@@ -751,7 +729,6 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible
   public void testRoundToDouble_negativeWayTooBig() {
     BigInteger bi = BigInteger.ONE.shiftLeft(2 * Double.MAX_EXPONENT).negate();
     new RoundToDoubleTester(bi)
@@ -761,7 +738,7 @@ public class BigIntegerMathTest extends TestCase {
         .test();
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.setDefault(BigInteger.class, ONE);
@@ -770,7 +747,7 @@ public class BigIntegerMathTest extends TestCase {
     tester.testAllPublicStaticMethods(BigIntegerMath.class);
   }
 
-  @GwtIncompatible // String.format
+  // String.format
   private static void failFormat(String template, Object... args) {
     fail(String.format(template, args));
   }
diff --git a/android/guava-tests/test/com/google/common/math/DoubleMathTest.java b/android/guava-tests/test/com/google/common/math/DoubleMathTest.java
index 724ae96..5557918 100644
--- a/android/guava-tests/test/com/google/common/math/DoubleMathTest.java
+++ b/android/guava-tests/test/com/google/common/math/DoubleMathTest.java
@@ -38,9 +38,6 @@ import static java.math.RoundingMode.UNNECESSARY;
 import static java.math.RoundingMode.UP;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Iterables;
 import com.google.common.primitives.Doubles;
 import com.google.common.testing.NullPointerTester;
@@ -56,7 +53,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class DoubleMathTest extends TestCase {
 
   private static final BigDecimal MAX_INT_AS_BIG_DECIMAL = BigDecimal.valueOf(Integer.MAX_VALUE);
@@ -79,7 +75,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToInt(double, RoundingMode)
+  // DoubleMath.roundToInt(double, RoundingMode)
   public void testRoundIntegralDoubleToInt() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -98,7 +94,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToInt(double, RoundingMode)
+  // DoubleMath.roundToInt(double, RoundingMode)
   public void testRoundFractionalDoubleToInt() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -120,7 +116,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToInt(double, RoundingMode)
+  // DoubleMath.roundToInt(double, RoundingMode)
   public void testRoundExactIntegralDoubleToInt() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       BigDecimal expected = new BigDecimal(d).setScale(0, UNNECESSARY);
@@ -137,7 +133,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToInt(double, RoundingMode)
+  // DoubleMath.roundToInt(double, RoundingMode)
   public void testRoundExactFractionalDoubleToIntFails() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       try {
@@ -148,7 +144,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToInt(double, RoundingMode)
+  // DoubleMath.roundToInt(double, RoundingMode)
   public void testRoundNaNToIntAlwaysFails() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -159,7 +155,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToInt(double, RoundingMode)
+  // DoubleMath.roundToInt(double, RoundingMode)
   public void testRoundInfiniteToIntAlwaysFails() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -175,7 +171,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToLong(double, RoundingMode)
+  // DoubleMath.roundToLong(double, RoundingMode)
   public void testRoundIntegralDoubleToLong() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -194,7 +190,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToLong(double, RoundingMode)
+  // DoubleMath.roundToLong(double, RoundingMode)
   public void testRoundFractionalDoubleToLong() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -213,7 +209,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToLong(double, RoundingMode)
+  // DoubleMath.roundToLong(double, RoundingMode)
   public void testRoundExactIntegralDoubleToLong() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       // every mode except UNNECESSARY
@@ -231,7 +227,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToLong(double, RoundingMode)
+  // DoubleMath.roundToLong(double, RoundingMode)
   public void testRoundExactFractionalDoubleToLongFails() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       try {
@@ -242,7 +238,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToLong(double, RoundingMode)
+  // DoubleMath.roundToLong(double, RoundingMode)
   public void testRoundNaNToLongAlwaysFails() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -253,7 +249,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToLong(double, RoundingMode)
+  // DoubleMath.roundToLong(double, RoundingMode)
   public void testRoundInfiniteToLongAlwaysFails() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -269,7 +265,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundIntegralDoubleToBigInteger() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -279,7 +275,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundFractionalDoubleToBigInteger() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       for (RoundingMode mode : ALL_SAFE_ROUNDING_MODES) {
@@ -289,7 +285,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundExactIntegralDoubleToBigInteger() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       BigDecimal expected = new BigDecimal(d).setScale(0, UNNECESSARY);
@@ -297,7 +293,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundExactFractionalDoubleToBigIntegerFails() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       try {
@@ -308,7 +304,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundNaNToBigIntegerAlwaysFails() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -319,7 +315,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundInfiniteToBigIntegerAlwaysFails() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       try {
@@ -335,7 +331,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.roundToBigInteger(double, RoundingMode)
+  // DoubleMath.roundToBigInteger(double, RoundingMode)
   public void testRoundLog2Floor() {
     for (double d : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
       int log2 = DoubleMath.log2(d, FLOOR);
@@ -344,7 +340,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode), StrictMath
+  // DoubleMath.log2(double, RoundingMode), StrictMath
   public void testRoundLog2Ceiling() {
     for (double d : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
       int log2 = DoubleMath.log2(d, CEILING);
@@ -354,7 +350,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode), StrictMath
+  // DoubleMath.log2(double, RoundingMode), StrictMath
   public void testRoundLog2Down() {
     for (double d : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
       int log2 = DoubleMath.log2(d, DOWN);
@@ -370,7 +366,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode), StrictMath
+  // DoubleMath.log2(double, RoundingMode), StrictMath
   public void testRoundLog2Up() {
     for (double d : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
       int log2 = DoubleMath.log2(d, UP);
@@ -386,7 +382,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode)
+  // DoubleMath.log2(double, RoundingMode)
   public void testRoundLog2Half() {
     // We don't expect perfect rounding accuracy.
     for (int exp : asList(-1022, -50, -1, 0, 1, 2, 3, 4, 100, 1022, 1023)) {
@@ -404,7 +400,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode)
+  // DoubleMath.log2(double, RoundingMode)
   public void testRoundLog2Exact() {
     for (double x : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
       boolean isPowerOfTwo = StrictMath.pow(2.0, DoubleMath.log2(x, FLOOR)) == x;
@@ -418,7 +414,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode)
+  // DoubleMath.log2(double, RoundingMode)
   public void testRoundLog2ThrowsOnZerosInfinitiesAndNaN() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       for (double d :
@@ -432,7 +428,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.log2(double, RoundingMode)
+  // DoubleMath.log2(double, RoundingMode)
   public void testRoundLog2ThrowsOnNegative() {
     for (RoundingMode mode : ALL_ROUNDING_MODES) {
       for (double d : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
@@ -445,14 +441,14 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.isPowerOfTwo, DoubleMath.log2(double, RoundingMode), StrictMath
+  // DoubleMath.isPowerOfTwo, DoubleMath.log2(double, RoundingMode), StrictMath
   public void testIsPowerOfTwoYes() {
     for (int i = -1074; i <= 1023; i++) {
       assertTrue(DoubleMath.isPowerOfTwo(StrictMath.pow(2.0, i)));
     }
   }
 
-  @GwtIncompatible // DoubleMath.isPowerOfTwo, DoubleMath.log2(double, RoundingMode), StrictMath
+  // DoubleMath.isPowerOfTwo, DoubleMath.log2(double, RoundingMode), StrictMath
   public void testIsPowerOfTwo() {
     for (double x : ALL_DOUBLE_CANDIDATES) {
       boolean expected =
@@ -464,7 +460,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // #trueLog2, Math.ulp
+  // #trueLog2, Math.ulp
   public void testLog2Accuracy() {
     for (double d : POSITIVE_FINITE_DOUBLE_CANDIDATES) {
       double dmLog2 = DoubleMath.log2(d);
@@ -496,7 +492,7 @@ public class DoubleMathTest extends TestCase {
     assertTrue(Double.isNaN(DoubleMath.log2(Double.NaN)));
   }
 
-  @GwtIncompatible // StrictMath
+  // StrictMath
   private strictfp double trueLog2(double d) {
     double trueLog2 = StrictMath.log(d) / StrictMath.log(2);
     // increment until it's >= the true value
@@ -514,28 +510,28 @@ public class DoubleMathTest extends TestCase {
     return trueLog2;
   }
 
-  @GwtIncompatible // DoubleMath.isMathematicalInteger
+  // DoubleMath.isMathematicalInteger
   public void testIsMathematicalIntegerIntegral() {
     for (double d : INTEGRAL_DOUBLE_CANDIDATES) {
       assertTrue(DoubleMath.isMathematicalInteger(d));
     }
   }
 
-  @GwtIncompatible // DoubleMath.isMathematicalInteger
+  // DoubleMath.isMathematicalInteger
   public void testIsMathematicalIntegerFractional() {
     for (double d : FRACTIONAL_DOUBLE_CANDIDATES) {
       assertFalse(DoubleMath.isMathematicalInteger(d));
     }
   }
 
-  @GwtIncompatible // DoubleMath.isMathematicalInteger
+  // DoubleMath.isMathematicalInteger
   public void testIsMathematicalIntegerNotFinite() {
     for (double d : Arrays.asList(Double.POSITIVE_INFINITY, Double.NEGATIVE_INFINITY, Double.NaN)) {
       assertFalse(DoubleMath.isMathematicalInteger(d));
     }
   }
 
-  @GwtIncompatible // Math.ulp
+  // Math.ulp
   public void testFactorial() {
     for (int i = 0; i <= DoubleMath.MAX_FACTORIAL; i++) {
       double actual = BigIntegerMath.factorial(i).doubleValue();
@@ -710,7 +706,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_doubleVarargs() {
     assertEquals(-1.375, DoubleMath.mean(1.1, -2.2, 4.4, -8.8), 1.0e-10);
     assertEquals(1.1, DoubleMath.mean(1.1), 1.0e-10);
@@ -726,19 +722,19 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_intVarargs() {
     assertEquals(-13.75, DoubleMath.mean(11, -22, 44, -88), 1.0e-10);
     assertEquals(11.0, DoubleMath.mean(11), 1.0e-10);
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_longVarargs() {
     assertEquals(-13.75, DoubleMath.mean(11L, -22L, 44L, -88L), 1.0e-10);
     assertEquals(11.0, DoubleMath.mean(11L), 1.0e-10);
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_emptyVarargs() {
     try {
       DoubleMath.mean();
@@ -747,7 +743,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_doubleIterable() {
     assertEquals(-1.375, DoubleMath.mean(ImmutableList.of(1.1, -2.2, 4.4, -8.8)), 1.0e-10);
     assertEquals(1.1, DoubleMath.mean(ImmutableList.of(1.1)), 1.0e-10);
@@ -768,7 +764,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_intIterable() {
     assertEquals(-13.75, DoubleMath.mean(ImmutableList.of(11, -22, 44, -88)), 1.0e-10);
     assertEquals(11, DoubleMath.mean(ImmutableList.of(11)), 1.0e-10);
@@ -779,7 +775,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_longIterable() {
     assertEquals(-13.75, DoubleMath.mean(ImmutableList.of(11L, -22L, 44L, -88L)), 1.0e-10);
     assertEquals(11, DoubleMath.mean(ImmutableList.of(11L)), 1.0e-10);
@@ -790,7 +786,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_intIterator() {
     assertEquals(-13.75, DoubleMath.mean(ImmutableList.of(11, -22, 44, -88).iterator()), 1.0e-10);
     assertEquals(11, DoubleMath.mean(ImmutableList.of(11).iterator()), 1.0e-10);
@@ -801,7 +797,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // DoubleMath.mean
+  // DoubleMath.mean
   public void testMean_longIterator() {
     assertEquals(
         -13.75, DoubleMath.mean(ImmutableList.of(11L, -22L, 44L, -88L).iterator()), 1.0e-10);
@@ -813,7 +809,7 @@ public class DoubleMathTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.setDefault(double.class, 3.0);
